signature-class           package:methods           R Documentation

Class "signature" For Method Definitions

Description:

     This class represents the mapping of some of the formal arguments
     of a function onto the names of some classes.  It is used as one
     of two slots in the 'MethodDefinition-class'.

Objects from the Class:

     Objects can be created by calls of the form 'new("signature",
     functionDef, ...)'.  The 'functionDef' argument, if it is supplied
     as a function object, defines the formal names.  The other
     arguments define the classes.

Slots:

     '.Data': Object of class '"character"' the classes. 

     'names': Object of class '"character"' the corresponding argument
          names. 

Extends:

     Class '"character"', from data part. Class '"vector"', by class
     "character".

Methods:

     initialize 'signature(object = "signature")': see the discussion
          of objects from the class, above. 

See Also:

     'MethodDefinition-class' for the use of this class

